Package com.salesforce.hyperdb.grpc

## Class SqlType

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.salesforce.hyperdb.grpc.SqlType

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `SqlTypeOrBuilder`, `Serializable`

    public final class SqlType
    extends com.google.protobuf.GeneratedMessageV3
    implements SqlTypeOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.SqlType`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `SqlType.Builder` Protobuf type `salesforce.hyperdb.grpc.v1.SqlType`
`static class` `SqlType.ModifierCase`
`static class` `SqlType.NumericModifier` Protobuf type `salesforce.hyperdb.grpc.v1.SqlType.NumericModifier`
`static interface` `SqlType.NumericModifierOrBuilder`
`static class` `SqlType.TypeTag` Protobuf enum `salesforce.hyperdb.grpc.v1.SqlType.TypeTag`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `EMPTY_FIELD_NUMBER`
`static int` `MAX_LENGTH_FIELD_NUMBER`
`static int` `NUMERIC_MODIFIER_FIELD_NUMBER`
`static int` `TAG_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static SqlType` `getDefaultInstance()`
`SqlType` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Empty` `getEmpty()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.EmptyOrBuilder` `getEmptyOrBuilder()` `.google.protobuf.Empty empty = 2;`
`int` `getMaxLength()` `uint32 max_length = 3;`
`SqlType.ModifierCase` `getModifierCase()`
`SqlType.NumericModifier` `getNumericModifier()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.NumericModifierOrBuilder` `getNumericModifierOrBuilder()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`com.google.protobuf.Parser<SqlType>` `getParserForType()`
`int` `getSerializedSize()`
`SqlType.TypeTag` `getTag()` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`int` `getTagValue()` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `hasEmpty()` `.google.protobuf.Empty empty = 2;`
`int` `hashCode()`
`boolean` `hasMaxLength()` `uint32 max_length = 3;`
`boolean` `hasNumericModifier()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static SqlType.Builder` `newBuilder()`
`static SqlType.Builder` `newBuilder​(SqlType prototype)`
`SqlType.Builder` `newBuilderForType()`
`protected SqlType.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static SqlType` `parseDelimitedFrom​(InputStream input)`
`static SqlType` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static SqlType` `parseFrom​(byte[] data)`
`static SqlType` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static SqlType` `parseFrom​(com.google.protobuf.ByteString data)`
`static SqlType` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static SqlType` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static SqlType` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static SqlType` `parseFrom​(InputStream input)`
`static SqlType` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static SqlType` `parseFrom​(ByteBuffer data)`
`static SqlType` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<SqlType>` `parser()`
`SqlType.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### TAG_FIELD_NUMBER

    public static final int TAG_FIELD_NUMBER

See Also:
  Constant Field Values

#### EMPTY_FIELD_NUMBER

    public static final int EMPTY_FIELD_NUMBER

See Also:
  Constant Field Values

#### MAX_LENGTH_FIELD_NUMBER

    public static final int MAX_LENGTH_FIELD_NUMBER

See Also:
  Constant Field Values

#### NUMERIC_MODIFIER_FIELD_NUMBER

    public static final int NUMERIC_MODIFIER_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getModifierCase

    public SqlType.ModifierCase getModifierCase()

Specified by:
  `getModifierCase` in interface `SqlTypeOrBuilder`

#### getTagValue

    public int getTagValue()

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Specified by:
  `getTagValue` in interface `SqlTypeOrBuilder`
Returns:
  The enum numeric value on the wire for tag.

#### getTag

    public SqlType.TypeTag getTag()

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Specified by:
  `getTag` in interface `SqlTypeOrBuilder`
Returns:
  The tag.

#### hasEmpty

    public boolean hasEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `hasEmpty` in interface `SqlTypeOrBuilder`
Returns:
  Whether the empty field is set.

#### getEmpty

    public com.google.protobuf.Empty getEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmpty` in interface `SqlTypeOrBuilder`
Returns:
  The empty.

#### getEmptyOrBuilder

    public com.google.protobuf.EmptyOrBuilder getEmptyOrBuilder()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmptyOrBuilder` in interface `SqlTypeOrBuilder`

#### hasMaxLength

    public boolean hasMaxLength()

`uint32 max_length = 3;`

Specified by:
  `hasMaxLength` in interface `SqlTypeOrBuilder`
Returns:
  Whether the maxLength field is set.

#### getMaxLength

    public int getMaxLength()

`uint32 max_length = 3;`

Specified by:
  `getMaxLength` in interface `SqlTypeOrBuilder`
Returns:
  The maxLength.

#### hasNumericModifier

    public boolean hasNumericModifier()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Specified by:
  `hasNumericModifier` in interface `SqlTypeOrBuilder`
Returns:
  Whether the numericModifier field is set.

#### getNumericModifier

    public SqlType.NumericModifier getNumericModifier()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Specified by:
  `getNumericModifier` in interface `SqlTypeOrBuilder`
Returns:
  The numericModifier.

#### getNumericModifierOrBuilder

    public SqlType.NumericModifierOrBuilder getNumericModifierOrBuilder()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Specified by:
  `getNumericModifierOrBuilder` in interface `SqlTypeOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static SqlType parseFrom​(ByteBuffer data)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static SqlType parseFrom​(ByteBuffer data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static SqlType parseFrom​(com.google.protobuf.ByteString data)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static SqlType parseFrom​(com.google.protobuf.ByteString data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static SqlType parseFrom​(byte[] data)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static SqlType parseFrom​(byte[] data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static SqlType parseFrom​(InputStream input)
                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static SqlType parseFrom​(InputStream input,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static SqlType parseDelimitedFrom​(InputStream input)
                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static SqlType parseDelimitedFrom​(InputStream input,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static SqlType parseFrom​(com.google.protobuf.CodedInputStream input)
                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static SqlType parseFrom​(com.google.protobuf.CodedInputStream input,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public SqlType.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static SqlType.Builder newBuilder()

#### newBuilder

    public static SqlType.Builder newBuilder​(SqlType prototype)

#### toBuilder

    public SqlType.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected SqlType.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static SqlType getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<SqlType> parser()

#### getParserForType

    public com.google.protobuf.Parser<SqlType> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public SqlType getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`